package dk.jarry.tomee.todo.ws;

import java.util.List;

import javax.ejb.EJB;
import javax.ejb.Stateless;
import javax.jws.WebService;

import dk.jarry.tomee.todo.ejb.ToDoService;
import dk.jarry.tomee.todo.model.ToDo;

/**
 * If you forget @Stateless you get something like this<br>
 * SEVERE: Error deploying CXF webservice for servlet
 * dk.jarry.tomee.todo.ws.ToDoImpl java.lang.IllegalArgumentException: Could not
 * find servlet dk.jarry.tomee.todo.ws.ToDoImpl in web application context
 * /dk.jarry.tomee.todo<br>
 * <br>
 * See : <a
 * href="http://tomee.apache.org/examples-trunk/simple-webservice/README.html"
 * title="simple-webservice"></a>
 * 
 * @author Michael Bornholdt Nielsen
 * 
 */
@Stateless
@WebService
public class ToDoImpl implements IToDo {

	@EJB
	ToDoService toDoService;

	public List<ToDo> getAll() {
		return toDoService.getAll();
	}

}
